{ config, pkgs, ...}:

let
name = "node-red";
entrypoint = pkgs.writeShellApplication {
  name = "entrypoint";

  runtimeInputs = with pkgs; with nodePackages; [
    node-red
    #ungoogled-chromium
  ];

  text = ''
    node-red -u "''${DATA-/data}" -s "''${SETTINGS-/data/settings.js}"
  '';
};
in pkgs.dockerTools.streamLayeredImage {
      inherit name;
      config.Cmd = [ "${entrypoint}/bin/entrypoint" ];
}
